#!/bin/python
import os
import datetime
filenameICE = "results/ICE_Results.txt"
filenameFlood = "results/Flood_Results.txt"

file = open(filenameICE, 'w')
file.write("******ICE Results******\n")
file.write("Simulation started at " + str(datetime.datetime.now()) + "\n")
file.close()

file = open(filenameFlood, 'w')
file.write("******Flood Results******\n")
file.write("Simulation started at " + str(datetime.datetime.now()) + "\n")
file.close()

#Nodes_list = [25, 50, 100, 200]
#Active_list = [10, 20]
#Rounds = 100
#Delay_list = [0.00, 0.005, 0.01, 0.025, 0.05 ,0.1]

Nodes_list = [200]
Active_list = [20]
Rounds_list = [100]
Delay_list = [0.1, 0.05, 0.025, 0.01, 0.005]
Random = 0

for l in range(0, len(Rounds_list)):
	Rounds = Rounds_list[l]
	
	for i in range(0, len(Nodes_list)):
		Nodes = Nodes_list[i]

		for k in range(0, len(Active_list)):
			Active = Active_list[k]
			Random = 0
			
			file = open(filenameICE, 'a')
			file.write("--------------------------\n")
			file.write("Rounds "+ str(Rounds) +"\n")
			file.write("Nodes "+ str(Nodes) +"\n")
			file.write("Active "+ str(Active) +"\n")
			file.write("Delays "+ str(Delay_list) +"\n\n")
			file.close()
			
			file = open(filenameFlood, 'a')
			file.write("--------------------------\n")
			file.write("Rounds "+ str(Rounds) +"\n")
			file.write("Nodes "+ str(Nodes) +"\n")
			file.write("Active "+ str(Active) +"\n")
			file.write("Delays "+ str(Delay_list) +"\n\n")
			file.close()
			
			for l in range(0, len(Delay_list)):
				Delay = Delay_list[l]
				#content = "./ns ice_delay.tcl " +str(Nodes)+ " "+str(Active)+ " "+str(Rounds)+" "+str(Delay)+" "+str(Random)
				#os.system(content)
				#Random = 0
				
				content = "./ns ice_flood.tcl " +str(Nodes)+ " "+str(Active)+ " "+str(Rounds)+" "+str(Delay)+" "+str(Random)
				os.system(content)

file = open(filenameICE, 'a')
file.write("Simulation ended at " + str(datetime.datetime.now()) + "\n")
file.write("******ICE Results******")
file.close()

file = open(filenameFlood, 'a')
file.write("Simulation ended at " + str(datetime.datetime.now()) + "\n")
file.write("******Flood Results******")
file.close()